using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsGetServiceFeeDTO
{

    /*
        专项服务费来源，122-渠道（字段已废弃）
    */
    private long? tkShareRoleType;


    /*
        专项服务费率（字段已废弃）
    */
    private string? shareRelativeRate;


    /*
        结算专项服务费（字段已废弃）
    */
    private string? shareFee;


    /*
        预估专项服务费（字段已废弃）
    */
    private string? sharePreFee;



    [JsonPropertyName("tk_share_role_type")]
    public long? TkShareRoleType
    {
        get => tkShareRoleType;
        set => this.tkShareRoleType = value;
    }

    [JsonPropertyName("share_relative_rate")]
    public string? ShareRelativeRate
    {
        get => shareRelativeRate;
        set => this.shareRelativeRate = value;
    }

    [JsonPropertyName("share_fee")]
    public string? ShareFee
    {
        get => shareFee;
        set => this.shareFee = value;
    }

    [JsonPropertyName("share_pre_fee")]
    public string? SharePreFee
    {
        get => sharePreFee;
        set => this.sharePreFee = value;
    }

}

